slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNDuplicate

Duplicates a math function, copying all parameters, possibly with a different communicator.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNDuplicate(FN fn,MPI_Comm comm,FN *newfn)

Collective

### Input Parameters

| fn | - the math function context
| comm | - MPI communicator

### Output Parameter

| newfn | - location to put the new FN context

### Note

In order to use the same MPI communicator as in the original object, use PetscObjectComm((PetscObject)fn).

### See Also

FNCreate()

### Level

developer

### Location

src/sys/classes/fn/interface/fnbasic.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages